Kalpana Docs
Resources

Get an endpoint

Read one webhook endpoint.

GET /api/webhooks/{id}

Requires webhooks:read.

NameTypeRequiredDescription
workspacestringYesWorkspace slug or id.
curl "https://app.kalpana.one/api/webhooks/0192f8a4-6c1e-7c3a-9b0e-4d2f1a7e5c11?workspace=acme" \
  --header "x-api-key: $KALPANA_API_KEY"

Response

One endpoint object.

{
  "id": "0192f8a4-6c1e-7c3a-9b0e-4d2f1a7e5c11",
  "name": "Zapier: new creatives",
  "description": null,
  "url": "https://hooks.zapier.com/hooks/catch/123/abc/",
  "events": ["batch.completed"],
  "filters": {},
  "format": "json",
  "apiVersion": "2026-10-20",
  "authHeaderName": null,
  "source": "api",
  "enabled": true,
  "disabledAt": null,
  "disabledReason": null,
  "health": { "consecutiveFailures": 0, "failingSince": null },
  "createdAt": "2026-10-20T09:41:07.512Z",
  "updatedAt": "2026-10-20T09:41:07.512Z"
}

Errors

StatusCause
400id is not a UUID.
403Your role or key lacks webhooks:read.
404The endpoint is not in this workspace.
Was this page helpful?

Updated 4 Nov 2026

On this page